/* 农机管理相关API */
import {
  http,
  Method
} from '@/utils/request.js';
import storage from "@/utils/storage.js";
import api from "@/config/api.js";
import config from "@/config/config.js";
const userInfo = storage.getUserInfo()
/**
 * 获取所有设备列表
 * @returns {Promise} 设备列表
 */
export function machinesDeviceList(params = {}) {
	console.log("userInfo",userInfo);
  if (userInfo.sysUser.deptId) params.deptIdList = userInfo.sysUser.deptId;
  return http.request({
    url: 'base/machines/list',
    method: Method.GET,
	  needToken: true,
    params: params
  });
}